package ru.yandex.autotests.directapi.darkside.datacontainers.jsonrpc.clientdata;

import com.fasterxml.jackson.annotation.JsonProperty;
import ru.yandex.autotests.irt.testutils.json.JsonUtils;

import java.util.Map;

/**
 * Created by semkagtn on 16.06.15.
 */
public class ClientDataResponseItem {

    @JsonProperty("name")
    private String name;

    @JsonProperty("uids")
    private Map<Long, ClientDataUidItem> uids;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Map<Long, ClientDataUidItem> getUids() {
        return uids;
    }

    public void setUids(Map<Long, ClientDataUidItem> uids) {
        this.uids = uids;
    }

    @Override
    public String toString() {
        return JsonUtils.toString(this);
    }
}
